List channels
curl --request GET \
--url https://monitor.solobiz.academy/api/open/v1/channels \
--header 'Authorization: Bearer <token>'import requests
url = "https://monitor.solobiz.academy/api/open/v1/channels"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://monitor.solobiz.academy/api/open/v1/channels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"message": "Operation successful",
"data": [
{
"id": "1000000000000001",
"name": "Sample Page A",
"username": "",
"platform": "facebook",
"status": "active",
"group_id": null
}
],
"meta": null,
"timestamp": "2026-11-19T00:00:00.000Z"
}{
"success": false,
"error": {
"message": "<string>",
"code": "<string>",
"issues": [
{
"code": "<string>",
"message": "<string>"
}
],
"retry_after_seconds": 123
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": {
"message": "Insufficient workspace role",
"code": "ForbiddenException"
},
"timestamp": "2026-11-19T00:00:00.000Z"
}{
"success": false,
"error": {
"message": "<string>",
"code": "<string>",
"issues": [
{
"code": "<string>",
"message": "<string>"
}
],
"retry_after_seconds": 123
},
"timestamp": "2023-11-07T05:31:56Z"
}Channels
List channels
Channels connected to the key’s workspace. id is the platform id (Facebook Page id, Instagram account id, Threads user id, YouTube channel id) - the value to pass in channel_ids.
Required role: viewer.
GET
/
channels
List channels
curl --request GET \
--url https://monitor.solobiz.academy/api/open/v1/channels \
--header 'Authorization: Bearer <token>'import requests
url = "https://monitor.solobiz.academy/api/open/v1/channels"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://monitor.solobiz.academy/api/open/v1/channels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"message": "Operation successful",
"data": [
{
"id": "1000000000000001",
"name": "Sample Page A",
"username": "",
"platform": "facebook",
"status": "active",
"group_id": null
}
],
"meta": null,
"timestamp": "2026-11-19T00:00:00.000Z"
}{
"success": false,
"error": {
"message": "<string>",
"code": "<string>",
"issues": [
{
"code": "<string>",
"message": "<string>"
}
],
"retry_after_seconds": 123
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": {
"message": "Insufficient workspace role",
"code": "ForbiddenException"
},
"timestamp": "2026-11-19T00:00:00.000Z"
}{
"success": false,
"error": {
"message": "<string>",
"code": "<string>",
"issues": [
{
"code": "<string>",
"message": "<string>"
}
],
"retry_after_seconds": 123
},
"timestamp": "2023-11-07T05:31:56Z"
}
